# Run through of some Eclipse/StatET features
# 
# Author: samarov
###############################################################################

## 1. Can execute one line at a time using 'ctrl+r+r'.
##
## 2. To execute and skip to the next line use 'ctrl+r+4'.
##
## 3. A section can be executed by highlighting the region of 
##    interest and then using the command sequence in 1 or 2.

x <- rnorm(1000)
y <- runif(1000)
plot(x,y)

## 4. Now suppose we want have a function such as the one below and 
##    we want to execute all code in that function, this can be
##    done via 'ctrl+r+f'. 

plotxy <- function(main="This is my plotting function"){
	## Another Eclipse feature is code folding, where all
	## the script between curly brackets is collapsed on itself.
	x <- rnorm(1000)
	y <- runif(1000)
	plot(x,y,main=main)
}

## NOTE: 1, 2, 3 and 4 can also be done through 'outline' located on left
##    of the screen.

## 5. Auto complete using 'alt+/'.
pl

## 6. If there are errors (i.e. missing quotes, parentheses, etc.), 
##    this will be indicated by a red bar on the right of screen. 
##    Clicking on this will automatically take you to where the error is.
##    Similarly clicking on an object
a
##    will also give you gray dashed bars on the right of the screen












































## Woops a missing a #!
7. You can comment out a section of code with 'ctrl+shift+c'
or double comment with 'ctrl+shift+#'

A whole section can be commented by highlighting and using
either of the two previous commands

## 8. Can take a look back at local history and see what changes have
##    been made by right-clicking and selecting 
##    'Compare With -> Local History...'

## Can access a list of all the short cut keys either there
## i.  Click on 'Windows -> Preferences -> General -> Keys' or
## ii. Type 'ctrl+shift+L'.

## 8. To change variables of the same name use 'ctrl+1'
a <- 1
a + a